# yamllint disable
# License: Commons Clause License Condition v1.0[LGPL-2.1-only]
# rule-set version: 1.0.0
# yamllint enable
---
rules:
- id: java_crypto_rule_JwtNoneAlgorithm
  message: 'Test message

    '
  metadata:
    shortDescription: Use of a broken or risky cryptographic algorithm
    cwe: CWE-327
    owasp:
    - A03:2017-Sensitive Data Exposure
    - A02:2021-Cryptographic Failures
    source-rule-url: https://semgrep.dev/blog/2020/hardcoded-secrets-unverified-tokens-and-other-common-jwt-mistakes/
    asvs:
      section: 'V3: Session Management Verification Requirements'
      control_id: 3.5.3 Insecue Stateless Session Tokens
      control_url: https://github.com/OWASP/ASVS/blob/master/4.0/en/0x12-V3-Session-management.md#v35-token-based-session-management
      version: '4'
    category: security
    technology:
    - jwt
    confidence: LOW
    references:
    - https://owasp.org/Top10/A02_2021-Cryptographic_Failures
    subcategory:
    - audit
    likelihood: LOW
    impact: MEDIUM
    license: Commons Clause License Condition v1.0[LGPL-2.1-only]
    vulnerability_class:
    - Cryptographic Issues
    security-severity: CRITICAL
    primary_identifier: java_crypto_rule_JwtNoneAlgorithm
    secondary_identifiers:
    - name: Gitlab java_crypto_rule_JwtNoneAlgorithm
      type: gitlab_type
      value: java_crypto_rule_JwtNoneAlgorithm
  languages:
  - java
  severity: ERROR
  patterns:
  - pattern: 'print("this is a test rule")

      '
- id: java_ftp_rule-FTPInsecureTransport
  message: 'Test message

    '
  severity: WARNING
  metadata:
    shortDescription: Cleartext transmission of sensitive information
    category: security
    cwe: CWE-319
    owasp:
    - A03:2017-Sensitive Data Exposure
    - A02:2021-Cryptographic Failures
    references:
    - https://www.codejava.net/java-se/ftp/connect-and-login-to-a-ftp-server
    - https://commons.apache.org/proper/commons-net/apidocs/org/apache/commons/net/ftp/FTPClient.html
    subcategory:
    - vuln
    technology:
    - java
    vulnerability: Insecure Transport
    license: Commons Clause License Condition v1.0[LGPL-2.1-only]
    primary_identifier: java_ftp_rule-FTPInsecureTransport
    secondary_identifiers:
    - name: Gitlab java_ftp_rule-FTPInsecureTransport
      type: gitlab_type
      value: java_ftp_rule-FTPInsecureTransport
  languages:
  - java
  pattern-either:
  - pattern: 'print("test rules")

      '
